package org.dynmap.factions;

public class FactionsUpdate implements Runnable {

    private final DynmapFactionsPlugin dynmapFactionsPlugin;
    public boolean runonce;

    public FactionsUpdate(DynmapFactionsPlugin dynmapFactionsPlugin) {
        this.dynmapFactionsPlugin = dynmapFactionsPlugin;
    }

    public void run() {
        if (dynmapFactionsPlugin.stop) {
            return;
        }

        dynmapFactionsPlugin.updateFactions();
        if (!runonce) {
            dynmapFactionsPlugin.getServer().getScheduler().scheduleSyncDelayedTask(dynmapFactionsPlugin,
                    this, dynmapFactionsPlugin.updperiod);
        } else if (dynmapFactionsPlugin.pending == this) {
            dynmapFactionsPlugin.pending = null;
        }
    }

}
